
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.YsZjtrfyEntity;
import org.sky.scientific.pojo.vo.YsZjtrfyVO;
import java.util.Objects;

/**
 * 项目预算-直接投入费用 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-29
 */
public class YsZjtrfyWrapper extends BaseEntityWrapper<YsZjtrfyEntity, YsZjtrfyVO> {

	public static YsZjtrfyWrapper build() {
		return new YsZjtrfyWrapper();
 	}

	@Override
	public YsZjtrfyVO entityVO(YsZjtrfyEntity ysZjtrfy) {
		YsZjtrfyVO ysZjtrfyVO = Objects.requireNonNull(BeanUtil.copyProperties(ysZjtrfy, YsZjtrfyVO.class));

		//User createUser = UserCache.getUser(ysZjtrfy.getCreateUser());
		//User updateUser = UserCache.getUser(ysZjtrfy.getUpdateUser());
		//ysZjtrfyVO.setCreateUserName(createUser.getName());
		//ysZjtrfyVO.setUpdateUserName(updateUser.getName());

		return ysZjtrfyVO;
	}


}
